<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Edit</title>
    <style>
        html {font-family: sans-serif;}
        body {width: 500px;margin: 0 auto;background-color: #ccc;}
        input {width: 100%;margin: 0.5rem}
        .btn {width: 20%;}
    </style>
</head>
<body>
<h1>Edit <%= title %></h1>
<% if (item) { %>
    <form class="form" method="post" action="/api/<%= title %>/edit/<%= item._id %>?_method=PUT">
        <% if (item) { %>
            <% for (key in item){ %>
                <% if (!key.match(/^_id|time|__v|\+$/)) { %>
                    <label for="<%= key %>"><%= key %></label>
                    <input type="text" name="<%= key %>" id="<%= key %>" value="<%= item[key] %>">
                <% } %>
            <% } %>
        <% } %>
        <input class="btn" type="submit" value="Send" id="btn">
    </form>
<% } %>
<button onclick="location.href = '/<%= title %>/delete'">go to delete page</button>
<button onclick="location.href = '/<%= title %>/add'">add more object</button>
</body>
</html>